
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #36

audacious consistently crashes when adding bad cue sheet

January 08, 2012 05:32 - il lumilore

Status: Closed Start date: January 08, 2012

Priority: Major Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.2   

Affects version: 3.1.2   

Description

When loading a cue sheet for a flac file, the cue sheet had the "file" attribute misnamed with a .wav extension instead of .flac, so

when adding it to the playlist I get a no such file or directory error, but the tracks still come up on the playlist. When actually trying to

play from the playlist, audacious starts taking up 100% cpu and stops responding.

History

#1 - January 08, 2012 15:16 - John Lindgren

Can you provide a test case?

#2 - January 08, 2012 18:56 - il lumilore

- File Howard_Shore_-_The_Lord_Of_The_Rings__The_Rarities_Archive.cue added

Can you provide a test case?

#3 - January 09, 2012 22:28 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.2

- % Done changed from 0 to 100

Fixed:

https://github.com/audacious-media-player/audacious/commit/6b68adda9741a5537d9b844d231c1f867c0219f8

Files

Howard_Shore_-_The_Lord_Of_The_Rings__The_Rarities_Archive.cue3.38 KB January 08, 2012 il lumilore
